subset,ctd-method {oce} | R Documentation

## Subset a CTD object

### Description

This function is somewhat analogous to `subset.data.frame`, but only one independent variable may be used in `subset` in any call to the function, which means that repeated calls will be necessary to subset based on more than one independent variable (e.g. time and distance).

### Usage

    ## S4 method for signature 'ctd'
    subset(x, subset, ...)

### Arguments

`x` | An object inheriting from `ctd-class`.
`subset` | An expression indicating how to subset `x`.
`...` | Ignored.

### Value

A ctd object.

### Examples

    library(oce)
    data(ctd)
    plot(ctd)
    plot(subset(ctd, pressure<10))

[Package oce version 0.9-18 Index]